# List interactions GET https://api.moveworks.ai/export/v1/records/interactions Retrieve all interactions occurring with the Moveworks AI Assistant. Reference: https://docs.moveworks.com/api-reference/data-api/list-interactions ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: List interactions version: endpoint_.listInteractions paths: /interactions: get: operationId: list-interactions summary: List interactions description: Retrieve all interactions occurring with the Moveworks AI Assistant. tags: - [] parameters: - name: $filter in: query description: >- Filter interactions by a condition. This API supports the standard odata query language on all string and integer attributes required: false schema: type: string - name: $select in: query description: >- Select which properties to include in the response for the interactions. required: false schema: type: string - name: $orderby in: query description: Order interactions by specific fields. required: false schema: type: string - name: $top in: query description: Specify the number of interactions results to return. required: false schema: type: integer - name: $skip in: query description: Skip the first n interaction results. required: false schema: type: integer - name: Authorization in: header required: true schema: type: string responses: '200': description: Successfully retrieved list of interactions content: application/json: schema: $ref: '#/components/schemas/interactions' '400': description: Bad request error content: {} '403': description: Forbidden error content: {} '404': description: URL not found error content: {} '429': description: Rate limiting exceeding error content: {} '500': description: Internal server error content: {} components: schemas: InteractionsobjectDetail: type: object properties: content: type: string description: >- This field contains the free form text, link URL, Button name according to interaction type. domain: type: string description: >- This the interaction level detected domain. Domain is only predicted for free form text interaction type. In some cases, domain of individual utterances may differ from the primary domain detected per conversation. entity: type: string description: >- This field contains the topic as detected per each interaction. Topic is only predicted for free form text interaction type. type: type: string description: >- This field indicates which type of resource were accessed during an link click interaction. detail: type: string description: This field indicates the form name which was submitted resource_id: type: string description: >- This field provides the resource ID that was accessed by the end user during an link click interaction, or when a user submits a ticket via UI form INTERACTION_TYPE_LINK_CLICK INTERACTION_TYPE_UIFORM_SUBMISSION file_types: type: array items: type: string description: >- This field provides list of types of files that were uploaded during a file upload interaction (INTERACTION_TYPE_CONTENT_UPLOAD). We do not record the file names as user can also upload a private file interactionsobject: type: object properties: id: type: string format: uuid description: >- UUID assigned by a system to a interaction. An interaction is either an input from a user to the system, or a response from the system the the user. conversation_id: type: string format: uuid description: ID of the parent conversation. user_id: type: string format: uuid description: User record ID assigned by the system to a user. actor: type: string description: This field differentiates user v/s bot interactions. platform: type: string description: >- This field denotes the platform where the interaction took place. For example: slack, msteams. type: type: string description: This field defines the type of the interaction. label: type: string description: >- This field defines the label for UI form submission interaction type. parent_interaction_id: type: string format: uuid description: >- Parent interaction ID for bot messages and user actions such as form submissions/button clicks/link clicks detail: $ref: '#/components/schemas/InteractionsobjectDetail' description: This is a JSON object which contains metadata per interaction type. created_time: type: string format: date-time description: Timestamp when the interaction was initiated. last_updated_time: type: string format: date-time description: Timestamp when the interaction entry is last updated in this table. interactions: type: object properties: '@odata.context': type: string description: URL to the metadata of the response. '@odata.nextLink': type: string description: URL to fetch the next set of results. value: type: array items: $ref: '#/components/schemas/interactionsobject' ``` ## SDK Code Examples ```python import requests url = "https://api.moveworks.ai/export/v1/records/interactions" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.moveworks.ai/export/v1/records/interactions'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.moveworks.ai/export/v1/records/interactions" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.moveworks.ai/export/v1/records/interactions") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.moveworks.ai/export/v1/records/interactions") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://api.moveworks.ai/export/v1/records/interactions', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.moveworks.ai/export/v1/records/interactions"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.moveworks.ai/export/v1/records/interactions")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```